[PATCH] osmo-tetra[master]: Introduce contrib/jenkins.sh to align with other projects

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

André Boddenberg gerrit-no-reply at lists.osmocom.org
Tue Sep 19 11:21:33 UTC 2017


Introduce contrib/jenkins.sh to align with other projects

This change will make jenkins' inline scripts obsolete,
so build testing and gerrit verification jobs [1][2] simply invoke:

  $ ./contrib/jenkins.sh

[1] https://jenkins.osmocom.org/jenkins/view/OsmoTETRA/job/OsmoTETRA/
[2] https://jenkins.osmocom.org/jenkins/view/Jenkins-Gerrit/job/OsmoTETRA-gerrit/

Change-Id: I517e1be8b5680c3cc274fd5ad13ac7c920154e7f
---
A contrib/jenkins.sh
1 file changed, 15 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-tetra refs/changes/89/3989/2

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..503b6a0
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,15 @@
+#!/bin/sh -ex
+
+rm -rf deps/install
+mkdir deps || true
+cd deps
+osmo-deps.sh libosmocore
+
+cd libosmocore
+autoreconf --install --force
+./configure --prefix=$PWD/../install
+$MAKE $PARALLEL_MAKE install
+
+cd ../../src
+make clean || true
+PKG_CONFIG_PATH=$PWD/../deps/install/lib/pkgconfig $MAKE

-- 
To view, visit https://gerrit.osmocom.org/3989
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newpatchset
Gerrit-Change-Id: I517e1be8b5680c3cc274fd5ad13ac7c920154e7f
Gerrit-PatchSet: 2
Gerrit-Project: osmo-tetra
Gerrit-Branch: master
Gerrit-Owner: André Boddenberg <dr.blobb at gmail.com>



More information about the gerrit-log mailing list